package gunav2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class mapa_rutas_subs_0 {


public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,56);
if (RapidSub.canDelegate("activity_create")) { return gunav2.keymon.com.mx.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","activity_create", _firsttime);}
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 56;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 57;BA.debugLine="Activity.LoadLayout(\"MAPA_RUTAS\")";
Debug.ShouldStop(16777216);
mapa_rutas.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("MAPA_RUTAS")),mapa_rutas.mostCurrent.activityBA);
 BA.debugLineNum = 61;BA.debugLine="ruta = File.DirInternal";
Debug.ShouldStop(268435456);
mapa_rutas._ruta = mapa_rutas.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirInternal");
 BA.debugLineNum = 63;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
Debug.ShouldStop(1073741824);
if (RemoteObject.solveBoolean("=",mapa_rutas.mostCurrent.__c.getField(false,"File").runMethod(true,"Exists",(Object)(mapa_rutas._ruta),(Object)(RemoteObject.createImmutable("kmt.db"))),mapa_rutas.mostCurrent.__c.getField(true,"False"))) { 
 BA.debugLineNum = 64;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
Debug.ShouldStop(-2147483648);
mapa_rutas.mostCurrent.__c.getField(false,"File").runVoidMethod ("Copy",(Object)(mapa_rutas.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("kmt.db")),(Object)(mapa_rutas._ruta),(Object)(RemoteObject.createImmutable("kmt.db")));
 };
 BA.debugLineNum = 66;BA.debugLine="skmt.Initialize(ruta,\"kmt.db\", True)";
Debug.ShouldStop(2);
mapa_rutas._skmt.runVoidMethod ("Initialize",(Object)(mapa_rutas._ruta),(Object)(BA.ObjectToString("kmt.db")),(Object)(mapa_rutas.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 68;BA.debugLine="If(FirstTime) Then";
Debug.ShouldStop(8);
if ((_firsttime).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 69;BA.debugLine="GPS.Initialize(\"GPS\")";
Debug.ShouldStop(16);
mapa_rutas._gps.runVoidMethod ("Initialize",(Object)(RemoteObject.createImmutable("GPS")));
 };
 BA.debugLineNum = 72;BA.debugLine="If MapFragment1.IsGooglePlayServicesAvailable = F";
Debug.ShouldStop(128);
if (RemoteObject.solveBoolean("=",mapa_rutas.mostCurrent._mapfragment1.runMethod(true,"IsGooglePlayServicesAvailable",mapa_rutas.mostCurrent.activityBA),mapa_rutas.mostCurrent.__c.getField(true,"False"))) { 
 BA.debugLineNum = 73;BA.debugLine="ToastMessageShow(\"Please install Google Play Ser";
Debug.ShouldStop(256);
mapa_rutas.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Please install Google Play Services.")),(Object)(mapa_rutas.mostCurrent.__c.getField(true,"True")));
 };
 BA.debugLineNum = 84;BA.debugLine="MARK_AZUL.IsInitialized";
Debug.ShouldStop(524288);
mapa_rutas.mostCurrent._mark_azul.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 85;BA.debugLine="MARK_ROJO.IsInitialized";
Debug.ShouldStop(1048576);
mapa_rutas.mostCurrent._mark_rojo.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 86;BA.debugLine="MARK_VERDE.IsInitialized";
Debug.ShouldStop(2097152);
mapa_rutas.mostCurrent._mark_verde.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 88;BA.debugLine="LIST_AZUL.Initialize";
Debug.ShouldStop(8388608);
mapa_rutas.mostCurrent._list_azul.runVoidMethod ("Initialize");
 BA.debugLineNum = 89;BA.debugLine="LIST_ROJO.Initialize";
Debug.ShouldStop(16777216);
mapa_rutas.mostCurrent._list_rojo.runVoidMethod ("Initialize");
 BA.debugLineNum = 90;BA.debugLine="LIST_VERDE.Initialize";
Debug.ShouldStop(33554432);
mapa_rutas.mostCurrent._list_verde.runVoidMethod ("Initialize");
 BA.debugLineNum = 92;BA.debugLine="verde = 0";
Debug.ShouldStop(134217728);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 93;BA.debugLine="azul = 0";
Debug.ShouldStop(268435456);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 94;BA.debugLine="rojo = 0";
Debug.ShouldStop(536870912);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 95;BA.debugLine="todos = 1";
Debug.ShouldStop(1073741824);
mapa_rutas.mostCurrent._todos = BA.NumberToString(1);
 BA.debugLineNum = 96;BA.debugLine="c=skmt.ExecQuery2(\"select count(*) AS CUANTOS fro";
Debug.ShouldStop(-2147483648);
mapa_rutas._c = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), mapa_rutas._skmt.runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select count(*) AS CUANTOS from CAT_VARIABLES WHERE CAT_VA_DESCRIPCION = ?")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {RemoteObject.createImmutable("SEMANA")}))));
 BA.debugLineNum = 97;BA.debugLine="c.Position =0";
Debug.ShouldStop(1);
mapa_rutas._c.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 98;BA.debugLine="SEMANA = c.GetString(\"CUANTOS\")";
Debug.ShouldStop(2);
mapa_rutas.mostCurrent._semana = mapa_rutas._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUANTOS")));
 BA.debugLineNum = 99;BA.debugLine="c.Close";
Debug.ShouldStop(4);
mapa_rutas._c.runVoidMethod ("Close");
 BA.debugLineNum = 101;BA.debugLine="If SEMANA > 0 Then";
Debug.ShouldStop(16);
if (RemoteObject.solveBoolean(">",BA.numberCast(double.class, mapa_rutas.mostCurrent._semana),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 102;BA.debugLine="c=skmt.ExecQuery2(\"select CAT_VA_VALOR from CAT_";
Debug.ShouldStop(32);
mapa_rutas._c = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), mapa_rutas._skmt.runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select CAT_VA_VALOR from CAT_VARIABLES WHERE CAT_VA_DESCRIPCION = ?")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {RemoteObject.createImmutable("SEMANA")}))));
 BA.debugLineNum = 103;BA.debugLine="c.Position =0";
Debug.ShouldStop(64);
mapa_rutas._c.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 104;BA.debugLine="SEMANA = c.GetString(\"CAT_VA_VALOR\")";
Debug.ShouldStop(128);
mapa_rutas.mostCurrent._semana = mapa_rutas._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_VA_VALOR")));
 BA.debugLineNum = 105;BA.debugLine="c.Close";
Debug.ShouldStop(256);
mapa_rutas._c.runVoidMethod ("Close");
 };
 BA.debugLineNum = 109;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,269);
if (RapidSub.canDelegate("activity_pause")) { return gunav2.keymon.com.mx.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 269;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(4096);
 BA.debugLineNum = 270;BA.debugLine="GPS.Stop";
Debug.ShouldStop(8192);
mapa_rutas._gps.runVoidMethod ("Stop");
 BA.debugLineNum = 271;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,259);
if (RapidSub.canDelegate("activity_resume")) { return gunav2.keymon.com.mx.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","activity_resume");}
 BA.debugLineNum = 259;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(4);
 BA.debugLineNum = 261;BA.debugLine="If GPS.GPSEnabled = False Then";
Debug.ShouldStop(16);
if (RemoteObject.solveBoolean("=",mapa_rutas._gps.runMethod(true,"getGPSEnabled"),mapa_rutas.mostCurrent.__c.getField(true,"False"))) { 
 BA.debugLineNum = 262;BA.debugLine="ToastMessageShow(\"Debe Activar el GPS del Equipo";
Debug.ShouldStop(32);
mapa_rutas.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Debe Activar el GPS del Equipo.")),(Object)(mapa_rutas.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 263;BA.debugLine="StartActivity(GPS.LocationSettingsIntent)";
Debug.ShouldStop(64);
mapa_rutas.mostCurrent.__c.runVoidMethod ("StartActivity",mapa_rutas.processBA,(Object)((mapa_rutas._gps.runMethod(false,"getLocationSettingsIntent"))));
 }else {
 BA.debugLineNum = 265;BA.debugLine="GPS.Start(0, 0)";
Debug.ShouldStop(256);
mapa_rutas._gps.runVoidMethodAndSync ("Start",mapa_rutas.processBA,(Object)(BA.numberCast(long.class, 0)),(Object)(BA.numberCast(float.class, 0)));
 };
 BA.debugLineNum = 267;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_azul_click() throws Exception{
try {
		Debug.PushSubsStack("B_AZUL_Click (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,305);
if (RapidSub.canDelegate("b_azul_click")) { return gunav2.keymon.com.mx.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_azul_click");}
 BA.debugLineNum = 305;BA.debugLine="Sub B_AZUL_Click";
Debug.ShouldStop(65536);
 BA.debugLineNum = 306;BA.debugLine="azul = 1";
Debug.ShouldStop(131072);
mapa_rutas.mostCurrent._azul = BA.NumberToString(1);
 BA.debugLineNum = 307;BA.debugLine="verde = 0";
Debug.ShouldStop(262144);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 308;BA.debugLine="rojo = 0";
Debug.ShouldStop(524288);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 309;BA.debugLine="todos = 0";
Debug.ShouldStop(1048576);
mapa_rutas.mostCurrent._todos = BA.NumberToString(0);
 BA.debugLineNum = 310;BA.debugLine="gmap.Clear";
Debug.ShouldStop(2097152);
mapa_rutas.mostCurrent._gmap.runVoidMethod ("Clear");
 BA.debugLineNum = 312;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(8388608);
_mapfragment1_ready();
 BA.debugLineNum = 314;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_rojo_click() throws Exception{
try {
		Debug.PushSubsStack("B_ROJO_Click (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,294);
if (RapidSub.canDelegate("b_rojo_click")) { return gunav2.keymon.com.mx.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_rojo_click");}
 BA.debugLineNum = 294;BA.debugLine="Sub B_ROJO_Click";
Debug.ShouldStop(32);
 BA.debugLineNum = 295;BA.debugLine="rojo = 1";
Debug.ShouldStop(64);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(1);
 BA.debugLineNum = 296;BA.debugLine="verde = 0";
Debug.ShouldStop(128);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 297;BA.debugLine="azul = 0";
Debug.ShouldStop(256);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 298;BA.debugLine="todos = 0";
Debug.ShouldStop(512);
mapa_rutas.mostCurrent._todos = BA.NumberToString(0);
 BA.debugLineNum = 299;BA.debugLine="gmap.Clear";
Debug.ShouldStop(1024);
mapa_rutas.mostCurrent._gmap.runVoidMethod ("Clear");
 BA.debugLineNum = 301;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(4096);
_mapfragment1_ready();
 BA.debugLineNum = 303;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_todos_click() throws Exception{
try {
		Debug.PushSubsStack("B_TODOS_Click (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,274);
if (RapidSub.canDelegate("b_todos_click")) { return gunav2.keymon.com.mx.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_todos_click");}
 BA.debugLineNum = 274;BA.debugLine="Sub B_TODOS_Click";
Debug.ShouldStop(131072);
 BA.debugLineNum = 275;BA.debugLine="todos  =1";
Debug.ShouldStop(262144);
mapa_rutas.mostCurrent._todos = BA.NumberToString(1);
 BA.debugLineNum = 276;BA.debugLine="verde = 0";
Debug.ShouldStop(524288);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 277;BA.debugLine="azul = 0";
Debug.ShouldStop(1048576);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 278;BA.debugLine="rojo = 0";
Debug.ShouldStop(2097152);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 280;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(8388608);
_mapfragment1_ready();
 BA.debugLineNum = 282;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_verde_click() throws Exception{
try {
		Debug.PushSubsStack("B_VERDE_Click (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,284);
if (RapidSub.canDelegate("b_verde_click")) { return gunav2.keymon.com.mx.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_verde_click");}
 BA.debugLineNum = 284;BA.debugLine="Sub B_VERDE_Click";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 285;BA.debugLine="verde = 1";
Debug.ShouldStop(268435456);
mapa_rutas.mostCurrent._verde = BA.NumberToString(1);
 BA.debugLineNum = 286;BA.debugLine="azul = 0";
Debug.ShouldStop(536870912);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 287;BA.debugLine="rojo = 0";
Debug.ShouldStop(1073741824);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 288;BA.debugLine="todos = 0";
Debug.ShouldStop(-2147483648);
mapa_rutas.mostCurrent._todos = BA.NumberToString(0);
 BA.debugLineNum = 289;BA.debugLine="gmap.Clear";
Debug.ShouldStop(1);
mapa_rutas.mostCurrent._gmap.runVoidMethod ("Clear");
 BA.debugLineNum = 290;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(2);
_mapfragment1_ready();
 BA.debugLineNum = 292;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 18;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 19;BA.debugLine="Private gmap As GoogleMap";
mapa_rutas.mostCurrent._gmap = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper");
 //BA.debugLineNum = 20;BA.debugLine="Private MapFragment1 As MapFragment";
mapa_rutas.mostCurrent._mapfragment1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper");
 //BA.debugLineNum = 21;BA.debugLine="Dim Latitud As Double = 0";
mapa_rutas._latitud = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 22;BA.debugLine="Dim Longitud As Double = 0";
mapa_rutas._longitud = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 23;BA.debugLine="Dim Lat2 As Double = 0";
mapa_rutas._lat2 = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 24;BA.debugLine="Dim Lon2 As Double = 0";
mapa_rutas._lon2 = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 25;BA.debugLine="Dim p1, p2 As Location";
mapa_rutas.mostCurrent._p1 = RemoteObject.createNew ("anywheresoftware.b4a.gps.LocationWrapper");
mapa_rutas.mostCurrent._p2 = RemoteObject.createNew ("anywheresoftware.b4a.gps.LocationWrapper");
 //BA.debugLineNum = 26;BA.debugLine="Dim Distance As Float";
mapa_rutas._distance = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 27;BA.debugLine="Dim boton1 As Button";
mapa_rutas.mostCurrent._boton1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 28;BA.debugLine="Dim HUE_BLUE As Float";
mapa_rutas._hue_blue = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 29;BA.debugLine="Dim HUE_RED As Float";
mapa_rutas._hue_red = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 30;BA.debugLine="Dim HUE_GREEN As Float";
mapa_rutas._hue_green = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 31;BA.debugLine="Private B_AZUL As Button";
mapa_rutas.mostCurrent._b_azul = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 32;BA.debugLine="Private B_ROJO As Button";
mapa_rutas.mostCurrent._b_rojo = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 33;BA.debugLine="Private B_VERDE As Button";
mapa_rutas.mostCurrent._b_verde = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 34;BA.debugLine="Private B_TODOS As Button";
mapa_rutas.mostCurrent._b_todos = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 35;BA.debugLine="Dim Tienda As String";
mapa_rutas.mostCurrent._tienda = RemoteObject.createImmutable("");
 //BA.debugLineNum = 36;BA.debugLine="Dim LatitudRu As Double";
mapa_rutas._latitudru = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 37;BA.debugLine="Dim LongitudRU As Double";
mapa_rutas._longitudru = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 38;BA.debugLine="Dim LIST_AZUL As List";
mapa_rutas.mostCurrent._list_azul = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
 //BA.debugLineNum = 39;BA.debugLine="Dim LIST_ROJO As List";
mapa_rutas.mostCurrent._list_rojo = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
 //BA.debugLineNum = 40;BA.debugLine="Dim LIST_VERDE As List";
mapa_rutas.mostCurrent._list_verde = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
 //BA.debugLineNum = 41;BA.debugLine="Dim MARK_AZUL As Marker";
mapa_rutas.mostCurrent._mark_azul = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 42;BA.debugLine="Dim MARK_ROJO As Marker";
mapa_rutas.mostCurrent._mark_rojo = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 43;BA.debugLine="Dim MARK_VERDE As Marker";
mapa_rutas.mostCurrent._mark_verde = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 44;BA.debugLine="Dim MARK_CEDIS As Marker";
mapa_rutas.mostCurrent._mark_cedis = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 45;BA.debugLine="Dim rojo As String";
mapa_rutas.mostCurrent._rojo = RemoteObject.createImmutable("");
 //BA.debugLineNum = 46;BA.debugLine="Dim azul As String";
mapa_rutas.mostCurrent._azul = RemoteObject.createImmutable("");
 //BA.debugLineNum = 47;BA.debugLine="Dim verde As String";
mapa_rutas.mostCurrent._verde = RemoteObject.createImmutable("");
 //BA.debugLineNum = 48;BA.debugLine="Dim todos As String";
mapa_rutas.mostCurrent._todos = RemoteObject.createImmutable("");
 //BA.debugLineNum = 49;BA.debugLine="Dim NumSerie As Int";
mapa_rutas._numserie = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 50;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
mapa_rutas.mostCurrent._oninfowindowclicklistener1 = RemoteObject.createNew ("uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener");
 //BA.debugLineNum = 51;BA.debugLine="Dim GoogleMapEXTRA As GoogleMapsExtras";
mapa_rutas.mostCurrent._googlemapextra = RemoteObject.createNew ("uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras");
 //BA.debugLineNum = 52;BA.debugLine="Dim CODIGO As String";
mapa_rutas.mostCurrent._codigo = RemoteObject.createImmutable("");
 //BA.debugLineNum = 53;BA.debugLine="Private SEMANA As String";
mapa_rutas.mostCurrent._semana = RemoteObject.createImmutable("");
 //BA.debugLineNum = 54;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject _parametro) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,238);
if (RapidSub.canDelegate("gps_locationchanged")) { return gunav2.keymon.com.mx.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","gps_locationchanged", _parametro);}
Debug.locals.put("Parametro", _parametro);
 BA.debugLineNum = 238;BA.debugLine="Sub GPS_LocationChanged (Parametro As Location)";
Debug.ShouldStop(8192);
 BA.debugLineNum = 239;BA.debugLine="MARK_CEDIS.IsInitialized";
Debug.ShouldStop(16384);
mapa_rutas.mostCurrent._mark_cedis.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 257;BA.debugLine="End Sub";
Debug.ShouldStop(1);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _mapfragment1_ready() throws Exception{
try {
		Debug.PushSubsStack("MapFragment1_Ready (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,111);
if (RapidSub.canDelegate("mapfragment1_ready")) { gunav2.keymon.com.mx.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","mapfragment1_ready"); return;}
ResumableSub_MapFragment1_Ready rsub = new ResumableSub_MapFragment1_Ready(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_MapFragment1_Ready extends BA.ResumableSub {
public ResumableSub_MapFragment1_Ready(gunav2.keymon.com.mx.mapa_rutas parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
gunav2.keymon.com.mx.mapa_rutas parent;
RemoteObject _permission = RemoteObject.createImmutable("");
RemoteObject _result = RemoteObject.createImmutable(false);
RemoteObject _javamapsobject = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
int _i = 0;
RemoteObject _aa = RemoteObject.declareNull("anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper");
int step15;
int limit15;
int step33;
int limit33;
int step46;
int limit46;
int step62;
int limit62;
int step75;
int limit75;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("MapFragment1_Ready (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,111);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 112;BA.debugLine="Log(\"ENTRANDO MapFragment1_Ready\")";
Debug.ShouldStop(32768);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","093126657",RemoteObject.createImmutable("ENTRANDO MapFragment1_Ready"),0);
 BA.debugLineNum = 113;BA.debugLine="gmap = MapFragment1.GetMap";
Debug.ShouldStop(65536);
parent.mostCurrent._gmap = parent.mostCurrent._mapfragment1.runMethod(false,"GetMap");
 BA.debugLineNum = 114;BA.debugLine="gmap.IsInitialized";
Debug.ShouldStop(131072);
parent.mostCurrent._gmap.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 118;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_FINE_LOCA";
Debug.ShouldStop(2097152);
parent._rp.runVoidMethod ("CheckAndRequest",mapa_rutas.processBA,(Object)(parent._rp.getField(true,"PERMISSION_ACCESS_FINE_LOCATION")));
 BA.debugLineNum = 119;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
Debug.ShouldStop(4194304);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","activity_permissionresult", mapa_rutas.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "mapa_rutas", "mapfragment1_ready"), null);
this.state = 76;
return;
case 76:
//C
this.state = 1;
_permission = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(0));Debug.locals.put("Permission", _permission);
_result = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(1));Debug.locals.put("Result", _result);
;
 BA.debugLineNum = 120;BA.debugLine="gmap.MyLocationEnabled = Result";
Debug.ShouldStop(8388608);
parent.mostCurrent._gmap.runMethod(true,"setMyLocationEnabled",_result);
 BA.debugLineNum = 122;BA.debugLine="Dim JavaMapsObject As JavaObject";
Debug.ShouldStop(33554432);
_javamapsobject = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("JavaMapsObject", _javamapsobject);
 BA.debugLineNum = 123;BA.debugLine="JavaMapsObject = gmap.GetUiSettings";
Debug.ShouldStop(67108864);
_javamapsobject = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.object.JavaObject"), parent.mostCurrent._gmap.runMethod(false,"GetUiSettings").getObject());Debug.locals.put("JavaMapsObject", _javamapsobject);
 BA.debugLineNum = 124;BA.debugLine="JavaMapsObject.RunMethod(\"setMapToolbarEnabled\",";
Debug.ShouldStop(134217728);
_javamapsobject.runVoidMethod ("RunMethod",(Object)(BA.ObjectToString("setMapToolbarEnabled")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(parent.mostCurrent.__c.getField(true,"True"))})));
 BA.debugLineNum = 126;BA.debugLine="If azul = 1 Or todos = 1  Then";
Debug.ShouldStop(536870912);
if (true) break;

case 1:
//if
this.state = 30;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._azul,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 127;BA.debugLine="c.IsInitialized";
Debug.ShouldStop(1073741824);
parent._c.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 128;BA.debugLine="c=skmt.ExecQuery(\"select CAT_CL_CODIGO,CAT_CL_NO";
Debug.ShouldStop(-2147483648);
parent._c = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO,CAT_CL_NOMBRE,CAT_CL_LAT,CAT_CL_LONG from kmt_info3 where gestion = 0 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 and CAT_CL_LAT <> ' ' and CAT_CL_LONG <> ' ' "))));
 BA.debugLineNum = 129;BA.debugLine="skmt.Initialize(ruta,\"kmt.db\", True)";
Debug.ShouldStop(1);
parent._skmt.runVoidMethod ("Initialize",(Object)(parent._ruta),(Object)(BA.ObjectToString("kmt.db")),(Object)(parent.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 130;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(2);
if (true) break;

case 4:
//if
this.state = 23;
if (RemoteObject.solveBoolean(">",parent._c.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
this.state = 6;
}if (true) break;

case 6:
//C
this.state = 7;
 BA.debugLineNum = 131;BA.debugLine="For i = 0 To c.RowCount - 1";
Debug.ShouldStop(4);
if (true) break;

case 7:
//for
this.state = 22;
step15 = 1;
limit15 = RemoteObject.solve(new RemoteObject[] {parent._c.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 77;
if (true) break;

case 77:
//C
this.state = 22;
if ((step15 > 0 && _i <= limit15) || (step15 < 0 && _i >= limit15)) this.state = 9;
if (true) break;

case 78:
//C
this.state = 77;
_i = ((int)(0 + _i + step15)) ;
Debug.locals.put("i", _i);
if (true) break;

case 9:
//C
this.state = 10;
 BA.debugLineNum = 132;BA.debugLine="c.Position = i";
Debug.ShouldStop(8);
parent._c.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 134;BA.debugLine="LatitudRu = 0";
Debug.ShouldStop(32);
parent._latitudru = BA.numberCast(double.class, 0);
 BA.debugLineNum = 135;BA.debugLine="If c.GetString(\"CAT_CL_LAT\") <> \"\" Then Latitu";
Debug.ShouldStop(64);
if (true) break;

case 10:
//if
this.state = 15;
if (RemoteObject.solveBoolean("!",parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))),BA.ObjectToString(""))) { 
this.state = 12;
;}if (true) break;

case 12:
//C
this.state = 15;
parent._latitudru = BA.numberCast(double.class, parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))));
if (true) break;

case 15:
//C
this.state = 16;
;
 BA.debugLineNum = 136;BA.debugLine="LongitudRU = 0";
Debug.ShouldStop(128);
parent._longitudru = BA.numberCast(double.class, 0);
 BA.debugLineNum = 137;BA.debugLine="If c.GetString(\"CAT_CL_LONG\") <> \"\" Then Longi";
Debug.ShouldStop(256);
if (true) break;

case 16:
//if
this.state = 21;
if (RemoteObject.solveBoolean("!",parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))),BA.ObjectToString(""))) { 
this.state = 18;
;}if (true) break;

case 18:
//C
this.state = 21;
parent._longitudru = BA.numberCast(double.class, parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))));
if (true) break;

case 21:
//C
this.state = 78;
;
 BA.debugLineNum = 138;BA.debugLine="CODIGO=c.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(512);
parent.mostCurrent._codigo = parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 139;BA.debugLine="Tienda= c.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(1024);
parent.mostCurrent._tienda = parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 140;BA.debugLine="MARK_AZUL = gmap.AddMarker2(LatitudRu, Longitu";
Debug.ShouldStop(2048);
parent.mostCurrent._mark_azul = parent.mostCurrent._gmap.runMethod(false,"AddMarker2",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)(parent.mostCurrent._gmap.getField(true,"HUE_BLUE")));
 BA.debugLineNum = 141;BA.debugLine="MARK_AZUL.Snippet = Tienda";
Debug.ShouldStop(4096);
parent.mostCurrent._mark_azul.runMethod(true,"setSnippet",parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 22:
//C
this.state = 23;
Debug.locals.put("i", _i);
;
 if (true) break;

case 23:
//C
this.state = 24;
;
 BA.debugLineNum = 144;BA.debugLine="c .Close";
Debug.ShouldStop(32768);
parent._c.runVoidMethod ("Close");
 BA.debugLineNum = 147;BA.debugLine="If MARK_AZUL.IsInitialized Then LIST_AZUL.Add(MA";
Debug.ShouldStop(262144);
if (true) break;

case 24:
//if
this.state = 29;
if (parent.mostCurrent._mark_azul.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
this.state = 26;
;}if (true) break;

case 26:
//C
this.state = 29;
parent.mostCurrent._list_azul.runVoidMethod ("Add",(Object)((parent.mostCurrent._mark_azul.getObject())));
if (true) break;

case 29:
//C
this.state = 30;
;
 if (true) break;
;
 BA.debugLineNum = 150;BA.debugLine="If verde =1 Or todos = 1  Then";
Debug.ShouldStop(2097152);

case 30:
//if
this.state = 53;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._verde,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 32;
}else {
this.state = 38;
}if (true) break;

case 32:
//C
this.state = 33;
 BA.debugLineNum = 151;BA.debugLine="c2.IsInitialized";
Debug.ShouldStop(4194304);
parent._c2.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 152;BA.debugLine="c2=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL_";
Debug.ShouldStop(8388608);
parent._c2 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info3 where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0"))));
 BA.debugLineNum = 153;BA.debugLine="For i = 0 To c2.RowCount -1";
Debug.ShouldStop(16777216);
if (true) break;

case 33:
//for
this.state = 36;
step33 = 1;
limit33 = RemoteObject.solve(new RemoteObject[] {parent._c2.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 79;
if (true) break;

case 79:
//C
this.state = 36;
if ((step33 > 0 && _i <= limit33) || (step33 < 0 && _i >= limit33)) this.state = 35;
if (true) break;

case 80:
//C
this.state = 79;
_i = ((int)(0 + _i + step33)) ;
Debug.locals.put("i", _i);
if (true) break;

case 35:
//C
this.state = 80;
 BA.debugLineNum = 154;BA.debugLine="c2.Position = i";
Debug.ShouldStop(33554432);
parent._c2.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 155;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
Debug.ShouldStop(67108864);
parent._longitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))));
 BA.debugLineNum = 156;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
Debug.ShouldStop(134217728);
parent._latitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))));
 BA.debugLineNum = 157;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(268435456);
parent.mostCurrent._codigo = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 158;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(536870912);
parent.mostCurrent._tienda = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 159;BA.debugLine="MARK_VERDE = gmap.AddMarker2(LatitudRu, Longitu";
Debug.ShouldStop(1073741824);
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.runMethod(false,"AddMarker2",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)(parent.mostCurrent._gmap.getField(true,"HUE_GREEN")));
 BA.debugLineNum = 160;BA.debugLine="MARK_VERDE.Snippet = Tienda";
Debug.ShouldStop(-2147483648);
parent.mostCurrent._mark_verde.runMethod(true,"setSnippet",parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 36:
//C
this.state = 53;
Debug.locals.put("i", _i);
;
 if (true) break;

case 38:
//C
this.state = 39;
 BA.debugLineNum = 163;BA.debugLine="If verde =1 Or todos = 1  Then";
Debug.ShouldStop(4);
if (true) break;

case 39:
//if
this.state = 52;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._verde,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 41;
}if (true) break;

case 41:
//C
this.state = 42;
 BA.debugLineNum = 164;BA.debugLine="c2.IsInitialized";
Debug.ShouldStop(8);
parent._c2.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 165;BA.debugLine="c2=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL";
Debug.ShouldStop(16);
parent._c2 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info3 where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0"))));
 BA.debugLineNum = 166;BA.debugLine="For i = 0 To c2.RowCount -1";
Debug.ShouldStop(32);
if (true) break;

case 42:
//for
this.state = 45;
step46 = 1;
limit46 = RemoteObject.solve(new RemoteObject[] {parent._c2.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 81;
if (true) break;

case 81:
//C
this.state = 45;
if ((step46 > 0 && _i <= limit46) || (step46 < 0 && _i >= limit46)) this.state = 44;
if (true) break;

case 82:
//C
this.state = 81;
_i = ((int)(0 + _i + step46)) ;
Debug.locals.put("i", _i);
if (true) break;

case 44:
//C
this.state = 82;
 BA.debugLineNum = 167;BA.debugLine="c2.Position = i";
Debug.ShouldStop(64);
parent._c2.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 168;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
Debug.ShouldStop(128);
parent._longitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))));
 BA.debugLineNum = 169;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
Debug.ShouldStop(256);
parent._latitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))));
 BA.debugLineNum = 170;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(512);
parent.mostCurrent._codigo = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 171;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(1024);
parent.mostCurrent._tienda = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 172;BA.debugLine="MARK_VERDE = gmap.AddMarker2(LatitudRu, Longit";
Debug.ShouldStop(2048);
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.runMethod(false,"AddMarker2",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)(parent.mostCurrent._gmap.getField(true,"HUE_GREEN")));
 BA.debugLineNum = 173;BA.debugLine="MARK_VERDE.Snippet = Tienda";
Debug.ShouldStop(4096);
parent.mostCurrent._mark_verde.runMethod(true,"setSnippet",parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 45:
//C
this.state = 46;
Debug.locals.put("i", _i);
;
 BA.debugLineNum = 175;BA.debugLine="c2 .Close";
Debug.ShouldStop(16384);
parent._c2.runVoidMethod ("Close");
 BA.debugLineNum = 176;BA.debugLine="If MARK_VERDE.IsInitialized Then LIST_VERDE.Add";
Debug.ShouldStop(32768);
if (true) break;

case 46:
//if
this.state = 51;
if (parent.mostCurrent._mark_verde.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
this.state = 48;
;}if (true) break;

case 48:
//C
this.state = 51;
parent.mostCurrent._list_verde.runVoidMethod ("Add",(Object)((parent.mostCurrent._mark_verde.getObject())));
if (true) break;

case 51:
//C
this.state = 52;
;
 if (true) break;

case 52:
//C
this.state = 53;
;
 if (true) break;
;
 BA.debugLineNum = 181;BA.debugLine="If rojo =1 Or todos = 1 Then";
Debug.ShouldStop(1048576);

case 53:
//if
this.state = 75;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._rojo,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 55;
}else {
this.state = 61;
}if (true) break;

case 55:
//C
this.state = 56;
 BA.debugLineNum = 182;BA.debugLine="c3.IsInitialized";
Debug.ShouldStop(2097152);
parent._c3.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 183;BA.debugLine="c3=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL_";
Debug.ShouldStop(4194304);
parent._c3 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info3 where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0"))));
 BA.debugLineNum = 184;BA.debugLine="For i = 0 To c3.RowCount -1";
Debug.ShouldStop(8388608);
if (true) break;

case 56:
//for
this.state = 59;
step62 = 1;
limit62 = RemoteObject.solve(new RemoteObject[] {parent._c3.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 83;
if (true) break;

case 83:
//C
this.state = 59;
if ((step62 > 0 && _i <= limit62) || (step62 < 0 && _i >= limit62)) this.state = 58;
if (true) break;

case 84:
//C
this.state = 83;
_i = ((int)(0 + _i + step62)) ;
Debug.locals.put("i", _i);
if (true) break;

case 58:
//C
this.state = 84;
 BA.debugLineNum = 185;BA.debugLine="c3.Position = i";
Debug.ShouldStop(16777216);
parent._c3.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 186;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
Debug.ShouldStop(33554432);
parent._longitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LONG")));
 BA.debugLineNum = 187;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
Debug.ShouldStop(67108864);
parent._latitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LAT")));
 BA.debugLineNum = 188;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(134217728);
parent.mostCurrent._codigo = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 189;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(268435456);
parent.mostCurrent._tienda = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 190;BA.debugLine="MARK_ROJO = gmap.AddMarker2(LatitudRu, Longitud";
Debug.ShouldStop(536870912);
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.runMethod(false,"AddMarker2",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)(parent.mostCurrent._gmap.getField(true,"HUE_RED")));
 BA.debugLineNum = 191;BA.debugLine="MARK_ROJO.Snippet = Tienda";
Debug.ShouldStop(1073741824);
parent.mostCurrent._mark_rojo.runMethod(true,"setSnippet",parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 59:
//C
this.state = 75;
Debug.locals.put("i", _i);
;
 if (true) break;

case 61:
//C
this.state = 62;
 BA.debugLineNum = 194;BA.debugLine="If rojo =1 Or  todos = 1  Then";
Debug.ShouldStop(2);
if (true) break;

case 62:
//if
this.state = 74;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._rojo,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 64;
}if (true) break;

case 64:
//C
this.state = 65;
 BA.debugLineNum = 195;BA.debugLine="c3.IsInitialized";
Debug.ShouldStop(4);
parent._c3.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 196;BA.debugLine="c3=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL";
Debug.ShouldStop(8);
parent._c3 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent._skmt.runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info3 where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0"))));
 BA.debugLineNum = 197;BA.debugLine="For i = 0 To c3.RowCount -1";
Debug.ShouldStop(16);
if (true) break;

case 65:
//for
this.state = 68;
step75 = 1;
limit75 = RemoteObject.solve(new RemoteObject[] {parent._c3.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 85;
if (true) break;

case 85:
//C
this.state = 68;
if ((step75 > 0 && _i <= limit75) || (step75 < 0 && _i >= limit75)) this.state = 67;
if (true) break;

case 86:
//C
this.state = 85;
_i = ((int)(0 + _i + step75)) ;
Debug.locals.put("i", _i);
if (true) break;

case 67:
//C
this.state = 86;
 BA.debugLineNum = 198;BA.debugLine="c3.Position = i";
Debug.ShouldStop(32);
parent._c3.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 199;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
Debug.ShouldStop(64);
parent._longitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LONG")));
 BA.debugLineNum = 200;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
Debug.ShouldStop(128);
parent._latitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LAT")));
 BA.debugLineNum = 201;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(256);
parent.mostCurrent._codigo = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 202;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(512);
parent.mostCurrent._tienda = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 203;BA.debugLine="MARK_ROJO = gmap.AddMarker2(LatitudRu, Longitu";
Debug.ShouldStop(1024);
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.runMethod(false,"AddMarker2",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)(parent.mostCurrent._gmap.getField(true,"HUE_RED")));
 BA.debugLineNum = 204;BA.debugLine="MARK_ROJO.Snippet = Tienda";
Debug.ShouldStop(2048);
parent.mostCurrent._mark_rojo.runMethod(true,"setSnippet",parent.mostCurrent._tienda);
 if (true) break;
if (true) break;
Debug.locals.put("i", _i);
;
 BA.debugLineNum = 206;BA.debugLine="If MARK_ROJO.IsInitialized Then LIST_ROJO.Add(M";
Debug.ShouldStop(8192);

case 68:
//if
this.state = 73;
if (parent.mostCurrent._mark_rojo.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
this.state = 70;
;}if (true) break;

case 70:
//C
this.state = 73;
parent.mostCurrent._list_rojo.runVoidMethod ("Add",(Object)((parent.mostCurrent._mark_rojo.getObject())));
if (true) break;

case 73:
//C
this.state = 74;
;
 BA.debugLineNum = 207;BA.debugLine="c3.Close";
Debug.ShouldStop(16384);
parent._c3.runVoidMethod ("Close");
 if (true) break;

case 74:
//C
this.state = 75;
;
 if (true) break;

case 75:
//C
this.state = -1;
;
 BA.debugLineNum = 216;BA.debugLine="Dim aa As CameraPosition";
Debug.ShouldStop(8388608);
_aa = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper");Debug.locals.put("aa", _aa);
 BA.debugLineNum = 217;BA.debugLine="aa.Initialize(LatitudRu,LongitudRU,15)''' RECOMEN";
Debug.ShouldStop(16777216);
_aa.runVoidMethod ("Initialize",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(BA.numberCast(float.class, 15)));
 BA.debugLineNum = 218;BA.debugLine="gmap.AnimateCamera(aa)";
Debug.ShouldStop(33554432);
parent.mostCurrent._gmap.runVoidMethod ("AnimateCamera",(Object)((_aa.getObject())));
 BA.debugLineNum = 221;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
Debug.ShouldStop(268435456);
parent.mostCurrent._oninfowindowclicklistener1 = RemoteObject.createNew ("uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener");
 BA.debugLineNum = 222;BA.debugLine="OnInfoWindowClickListener1.Initialize(\"OnInfoWind";
Debug.ShouldStop(536870912);
parent.mostCurrent._oninfowindowclicklistener1.runVoidMethod ("Initialize",mapa_rutas.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("OnInfoWindowClickListener1")));
 BA.debugLineNum = 223;BA.debugLine="GoogleMapEXTRA.SetOnInfoWindowClickListener(gmap,";
Debug.ShouldStop(1073741824);
parent.mostCurrent._googlemapextra.runVoidMethod ("SetOnInfoWindowClickListener",(Object)((parent.mostCurrent._gmap.getObject())),(Object)((parent.mostCurrent._oninfowindowclicklistener1.getObject())));
 BA.debugLineNum = 225;BA.debugLine="End Sub";
Debug.ShouldStop(1);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _activity_permissionresult(RemoteObject _permission,RemoteObject _result) throws Exception{
}
public static RemoteObject  _oninfowindowclicklistener1_click(RemoteObject _marker1) throws Exception{
try {
		Debug.PushSubsStack("OnInfoWindowClickListener1_click (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,230);
if (RapidSub.canDelegate("oninfowindowclicklistener1_click")) { return gunav2.keymon.com.mx.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","oninfowindowclicklistener1_click", _marker1);}
Debug.locals.put("Marker1", _marker1);
 BA.debugLineNum = 230;BA.debugLine="Sub OnInfoWindowClickListener1_click(Marker1 As Ma";
Debug.ShouldStop(32);
 BA.debugLineNum = 231;BA.debugLine="skmt.ExecNonQuery(\"delete from CUENTAA\")";
Debug.ShouldStop(64);
mapa_rutas._skmt.runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from CUENTAA")));
 BA.debugLineNum = 232;BA.debugLine="skmt.ExecNonQuery2(\"INSERT INTO CUENTAA VALUES (?";
Debug.ShouldStop(128);
mapa_rutas._skmt.runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CUENTAA VALUES (?) ")),(Object)(mapa_rutas.mostCurrent.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(_marker1.runMethod(true,"getTitle"))})))));
 BA.debugLineNum = 233;BA.debugLine="Activity.Finish";
Debug.ShouldStop(256);
mapa_rutas.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 234;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(512);
mapa_rutas.mostCurrent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,mapa_rutas.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 235;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 7;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 8;BA.debugLine="Dim GPS As GPS";
mapa_rutas._gps = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");
 //BA.debugLineNum = 9;BA.debugLine="Dim rp As RuntimePermissions";
mapa_rutas._rp = RemoteObject.createNew ("anywheresoftware.b4a.objects.RuntimePermissions");
 //BA.debugLineNum = 10;BA.debugLine="Dim ruta As String";
mapa_rutas._ruta = RemoteObject.createImmutable("");
 //BA.debugLineNum = 11;BA.debugLine="Dim skmt As SQL";
mapa_rutas._skmt = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL");
 //BA.debugLineNum = 12;BA.debugLine="Dim c As Cursor";
mapa_rutas._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 13;BA.debugLine="Dim c2 As Cursor";
mapa_rutas._c2 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 14;BA.debugLine="Dim c22 As Cursor";
mapa_rutas._c22 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 15;BA.debugLine="Dim c3 As Cursor";
mapa_rutas._c3 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 16;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}